查询采购退货单列表
POST
/erp/sc/routing/purchase/purchase_return_order/getPurchaseReturnOrderList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/purchase/purchase_return_order/getPurchaseReturnOrderList | HTTPS | POST | 1 |
请求参数
search_field_timestringstart_datestringend_datestringstatusarray<any>offsetinteger必填lengthinteger必填请求示例
{
"offset": 0,
"length": 20,
"start_date": "2024-08-02",
"end_date": "2024-08-02",
"status": [10,20]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
totalinteger必填listarray<object>必填隐藏子属性
widinteger必填order_snstring必填create_uidinteger必填create_realnamestring必填create_timestring必填last_timestring必填buyer_uidinteger必填buyer_realnamestring必填purchase_order_snstring必填supplier_idinteger必填supplier_namestring必填return_methodinteger必填replenish_methodinteger必填receipt_funds_order_snstring必填statusinteger必填purchase_currencystring必填purchase_currency_iconstring必填fee_part_typeinteger必填shipping_currencystring必填shipping_pricenumber必填other_currencystring必填other_feenumber必填return_reasonstring必填return_amount_totalstring必填remarkstring必填item_listarray<object>必填隐藏子属性
item_idinteger必填spu_namestring必填spustring必填product_namestring必填skustring必填fnskustring必填mskuarray<any>必填attributearray<object>必填隐藏子属性
attr_idstring必填attr_namestring必填attr_valuestring必填pricenumber必填quantity_realinteger必填return_good_numinteger必填return_bad_numinteger必填replenish_numinteger必填deduction_amountnumber必填expect_arrive_timestring必填remarkstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "0CDB0A84-AE71-A25C-7432-041C78192C34",
"response_time": "2024-08-02 17:46:27",
"data": {
"total": 2,
"list": [
{
"order_sn": "PR240802002",
"create_realname": "何承伟",
"create_uid": 10548111,
"buyer_realname": "甄新晴",
"buyer_uid": 10401445,
"create_time": "2024-08-02 10:56:57",
"last_time": "2024-08-02 10:56:57",
"purchase_order_sn": "PO240104006",
"wid": 44,
"supplier_name": "深圳市健爱户外运动用品有限公司(已删除)",
"supplier_id": 1583,
"return_method": 2,
"replenish_method": 1,
"receipt_funds_order_sn": "",
"status": 10,
"purchase_currency": "CNY",
"purchase_currency_icon": "¥",
"fee_part_type": null,
"shipping_currency": "CNY",
"shipping_price": "0.00",
"other_currency": "CNY",
"other_fee": "0.00",
"return_amount_total": "0.00",
"return_reason": "",
"remark": "",
"item_list": [
{
"item_id": 2414,
"spu_name": "",
"spu": "",
"product_name": "服装1111",
"sku": "fuzhuang1111",
"fnsku": "B0BBB14W7B",
"msku": [],
"attribute": [],
"seller_id": "109",
"price": "100.0000",
"quantity_real": 80,
"return_good_num": 0,
"return_bad_num": 5,
"replenish_num": 5,
"deduction_amount": "0.00",
"expect_arrive_time": "",
"remark": ""
}
]
}
]
},
"total": 0
}